sync:
  image: n3llyb0y/wait
  links:
    - auth
    - dird
    - phoned
  environment:
    PORTS: "9489 9497"
phoned:
  image: xivo-dird-phoned-test
  links:
    - auth
    - dird
  ports:
    - "9498:9498"
    - "9499:9499"
  volumes:
    - "./etc/xivo-dird-phoned:/etc/xivo-dird-phoned"
    - "../../..:/usr/src/xivo-dird-phoned"
    - "./ssl:/etc/ssl"
dird:
  image: p0bailey/docker-flask
  expose:
    - "9489"
  volumes:
    - "./dird_data:/tmp"
    - "./ssl:/etc/ssl"
  command: "python /tmp/mock-xivo-dird.py 9489"
auth:
  image: p0bailey/docker-flask
  expose:
    - "9497"
  volumes:
    - "./auth_data:/tmp"
    - "./ssl:/etc/ssl"
  command: "python /tmp/mock-xivo-auth.py 9497"
